package com.magistr.app.repository;

import com.magistr.app.model.Department;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.List;

public interface DepartmentRepository extends JpaRepository<Department, Long> {

    Optional<Department> findByDepartmentName(String departmentName);

    Optional<Department> findByDepartmentCode(Long departmentCode);

    List<Department> findByStatusNot(String status);
}
